POST /runway/v1/pro/generate
Method: POSTEndpoint: /runway/v1/pro/generate
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Request Parameters
Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
ratio
enum<string>
// provider-specific example normalized for English documentation
Required
// provider-specific example normalized for English documentation
Enum Values:
16:9
9:16
1:1
4:3
3:4
21:9
prompt
string
// provider-specific example normalized for English documentation
Required
style
string
// provider-specific example normalized for English documentation
Required
// provider-specific example normalized for English documentation
model
enum<string>
// provider-specific example normalized for English documentation
Required
Enum Values:
gen2
gen3
gen4
image
string
Optional
// provider-specific example normalized for English documentation
options
object
Required
seconds
enum<integer>
// provider-specific example normalized for English documentation
Required
// provider-specific example normalized for English documentation
Enum Values:
5
10
motion_vector
object
// provider-specific example normalized for English documentation
Required
Currently only gen-2 is supported
callback_url
string
Required
Example
{
"ratio"
:
"16:9"
,
"prompt"
:
"string"
,
"style"
:
"string"
,
"model"
:
"gen2"
,
"image"
:
"string"
,
"options"
:
{
"seconds"
:
5
,
"motion_vector"
:
{
"x"
:
0
,
"y"
:
0
,
"z"
:
0
,
"r"
:
0
,
"bg_x_pan"
:
0
,
"bg_y_pan"
:
0
}
}
,
"callback_url"
:
"string"
}Example Request
Shell
bash
curl --location --request POST '/runway/v1/pro/generate' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"ratio": "16:9",
"prompt": "string",
"style": "string",
"model": "gen2",
"image": "string",
"options": {
"seconds": 5,
"motion_vector": {
"x": 0,
"y": 0,
"z": 0,
"r": 0,
"bg_x_pan": 0,
"bg_y_pan": 0
}
},
"callback_url": "string"
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}